complexType "ValuationDocument"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-main-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | validation*, (isCorrection? | isCancellation?)?, onBehalfOf?, originatingEvent?, trade*, priceNotation?, portfolio*, (party*, account*)?, market*, valuationSet*
</...>

Content Model Elements (12):

  account, isCancellation, isCorrection (defined in ProcessingIndicator.model group), market, onBehalfOf (defined in DataDocument complexType), originatingEvent (defined in DataDocument complexType), | party (defined in PartiesAndAccounts.model group), portfolio (defined in DataDocument complexType), priceNotation, trade (defined in DataDocument complexType), validation, valuationSet

All Direct / Indirect Based Elements (1):

  valuationDocument

Known Usage Locations

- As direct type of elements (1):
  valuationDocument

Annotation
A type defining a content model that includes valuation (pricing and risk) data without expressing any processing intention.
Type Definition Detail

Type Derivation Tree Document (extension) DataDocument (extension) ValuationDocument

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="ValuationDocument"> <xsd:complexContent> <xsd:extension base="DataDocument"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="valuationSet"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/12)
market

  Type: | Market, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="market"/>

valuationSet

  Type: | ValuationSet, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="valuationSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.